Nov 13

Ich habe gerade eine TYPO3-Installation von TYPO3 4.1.x auf 4.2.3 geupdated, was mir promt die ganze Seite zerschossen hat. PHP5 ist mit der Fehlermeldung abgebrochen, dass die Methode array_merge_recursive_overrule in der Klasse „t3lib_div“ einen Parameter vom Typ „array“ erwartet, jedoch „null“ bekommen hat. Auslöser des Problems war bei mir die Extension „dam“. Wenn ich sie im BE deaktiviere läuft es wieder, natürlich mit eingeschränkter Funktionalität.

Ich habe aus diesem Grund die Parameterdefinition in t3lib_div in der Methode entfernt (das „array“ bei $arr1 und $arr2 weglöschen) damit es wieder geht.

Liebe Core-Entwickler, bevor ihr solche tollen PHP5-Features in den Core integriert, solltet ihr das den Extension-Autoren sagen, damit die ggf. ein Update bereitstellen können!!!

DANKE!

UPDATE: Die Extension „date2cal“ scheint mit 4.2.3 ebenfalls NICHT zu laufen!

Eine Antwort zu “TYPO3 Update schießt Seite ab”

  1. Na toll... | A+media dev-Blog sagt:

    […] TYPO3 Update schießt Seite ab Nov […]

Einen Kommentar schreiben